Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties
Interface IPropertiesProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  GenericEMFPropertiesProvider, PropertiesService

public interface IPropertiesProvider
extends IProvider

A `IPropertiesProvider` object. Each such provider contributes a set of properties as `ICompositePropertySource` object for the given target. All contributions from such providers will be assembled by the properties service into a property source object.

Method Summary
`ICompositePropertySource` `getPropertySource(java.lang.Object object)` A call to contribute a set of properties as `ICompositePropertySource` object for the given target.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### getPropertySource

    public ICompositePropertySource getPropertySource(java.lang.Object object)

  A call to contribute a set of properties as `ICompositePropertySource` object for the given target. This contribution will be appended to the properties contributed by other providers.

  Parameters:
    `object` - - target of the properties
  Returns:
    - properties contributed by this provider

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.